- Home
- API Enriched
- Support
- operate
- Status
Status
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/global/example/status';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/debug/global/example/status \ --header 'Authorization: <Authorization>'GET Status of F5XC components.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site.
F5XC Namespace Name of the site’s namespace. Default’s to VES-system.
Query Parameters
Section titled “Query Parameters”Use cached results in Status API.
Responses
Section titled “Responses”A successful response.
Status response.
object
List of status from site.
Status of the service.
object
Human readable reason of the Status.
Name of the service.
Node where service runs.
Status of the service.
Examplegenerated
{ "status": [ { "message": "example", "name": "example", "node": "example", "status": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example